class iaas::role::network (

##Network1 - external
$neutron_external_network1 = '10.10.98.0/24',
$neutron_external_gateway1 = '10.10.98.1',
##Network2 - external
$neutron_external_network2 = '10.10.99.0/24',
$neutron_external_gateway2 = '10.10.99.1',

$mtu = '1438',

){
# Base
  class { 'iaas::profile::base': } ->
  class { 'iaas::profile::neutron::router': 
        mtu => $mtu,
        external_network1 => $neutron_external_network1, 
        external_gateway1 => $neutron_external_gateway1, 
        external_network2 => $neutron_external_network2,
        external_gateway2 => $neutron_external_gateway2, 
  } 
}
